import { http } from '@/utils/http';

export function getListApi(orgCode : string) {
	return http({
		url: '/sjgl.scnr/cxcSjSc/queryTreeData',
		method: 'GET',
		data: { orgCode }
	})
}

export function getJobDesIdByDepAndName(config) {
	return http({
		url: '/sjgl.tynr/cxcSjJobdescription/queryByNameDep',
		method: 'GET',
		data: config
	})
}

export function getPathByInsflagQuote(config) {
	return http({
		url: '/sjgl.scnr/cxcSjSc/getPathByInsflagQuote',
		method: 'GET',
		data: config
	})
}

export function queryByIdApi(id : string) {
	return http({
		url: '/sjgl.scnr/cxcSjSc/queryById',
		method: 'GET',
		data: { id }
	})
}